Skip to main content
curl -X GET 'https://order.api.e-cross.tech/ext/orders?status=READY_TO_SHIP&nextPageToken=' \
  -H 'Authorization: Bearer YOUR_TOKEN'
{
  "orders": [
    {
      "orderId": "ACME-ECOM-TEST-003",
      "merchantId": "ACME",
      "salesChannelOrderId": "TEST-003",
      "salesChannel": "ECOM",
      "status": "READY_TO_SHIP",
      "value": 234,
      "taxType": "DDU",
      "currency": "BRL",
      "foreignCurrency": "USD",
      "customerDocument": "1234567890",
      "creationDate": "2023-10-27T19:10:00Z",
      "lastUpdateDate": "2023-10-27T19:18:54.301Z",
      "totals": {
        "orderValue": 234,
        "itemsGross": 234,
        "itemsDiscount": 0,
        "shippingGross": 0,
        "shippingDiscount": 0,
        "taxes": 0,
        "grossInboundValue": 234,
        "fees": 0,
        "netInboundValue": 234
      },
      "totalsForeignCurrency": {
        "orderValue": 45,
        "itemsGross": 45,
        "itemsDiscount": 0,
        "shippingGross": 0,
        "shippingDiscount": 0,
        "taxes": 0,
        "grossOutboundValue": 45,
        "fees": 0,
        "netOutboundValue": 45
      },
      "items": [
        {
          "id": "c62c9ca2-de02-4580-94e5-e1fef5cb8e7c",
          "skuId": "ACME-1",
          "salesChannelSkuId": "1",
          "ean": "0799439112766",
          "quantity": 1,
          "name": "Awesome Toy",
          "listPrice": 234,
          "salePrice": 234,
          "foreignListPrice": 45,
          "foreignSalePrice": 45,
          "invoicedPrice": 45,
          "weight": 0.16,
          "hsCode": "29362900"
        }
      ],
      "customer": {
        "type": "PERSON",
        "firstName": "John",
        "lastName": "Doe",
        "document": "1234567890",
        "email": "john.doe@e-cross.tech",
        "phone": {
          "countryCode": "55",
          "areaCode": "11",
          "number": "999999994"
        },
        "billingAddress": {
          "country": "BR",
          "state": "SP",
          "city": "São Paulo",
          "postalCode": "01218-000",
          "street": "Alameda Cleveland",
          "number": "31",
          "neighborhood": "Campos Elíseos",
          "receiverName": "John Doe"
        }
      },
      "shipping": {
        "outboundCountry": "CN",
        "deliveryAddress": {
          "country": "BR",
          "state": "SP",
          "city": "São Paulo",
          "postalCode": "01218-000",
          "street": "Alameda Cleveland",
          "number": "31",
          "neighborhood": "Campos Elíseos",
          "receiverName": "John Doe"
        },
        "deliveries": [
          {
            "name": "Normal",
            "company": "Company",
            "clearance": "Postal",
            "lastMileTrackingNumber": "NL970165916BR",
            "leadTime": 7,
            "listPrice": 0,
            "salePrice": 0,
            "deliveryTime": 7,
            "deliveryEstimateDate": "2023-11-07T19:10:00Z",
            "items": [
              "c62c9ca2-de02-4580-94e5-e1fef5cb8e7c"
            ],
            "parcels": [
              {
                "name": "Cardboard Small",
                "code": "CARD_SMALL",
                "length": 15,
                "width": 10,
                "height": 8,
                "weight": 0.04,
                "netWeight": 0.16,
                "grossWeight": 0.2,
                "items": [
                  {
                    "salesChannelSkuId": "1",
                    "quantity": 1
                  }
                ]
              }
            ]
          }
        ]
      },
      "payments": [
        {
          "type": "BILL",
          "value": 234
        }
      ]
    }
  ],
  "nextPageToken": "eyJjcmVhdGlvbkRhdGUiOiIyMDIzLTA5LTE2VDIyOjI1OjM5LjkzNloiLCJvcmRlcklkIjoiTVZQLVRFU1QtRUNPTS0wMDEiLCJ0eXBlIjoib3JkZXIifQ=="
}

Query Parameters

status
string
A single or comma-separated list of order statuses to filter. Refer to the Order Statuses page for the list of available order statuses.
creationDateFrom
string
Filter only orders created after the specified date and time, in ISO 8601 format, inclusive. Example: 2025-03-06T17:14:53Z.
creationDateUntil
string
Filter only orders created before the specified date and time, in ISO 8601 format, inclusive. Example: 2025-03-06T17:14:53Z.
lastUpdateDateFrom
string
Filter only orders last updated on or after the specified date and time, in ISO 8601 format, inclusive. Example: 2025-03-06T17:14:53Z.
lastUpdateDateUntil
string
Filter only orders last updated on or before the specified date and time, in ISO 8601 format, inclusive. Example: 2025-03-06T17:14:53Z.
nextPageToken
string
The token to fetch the next page of results. Use the value returned in the nextPageToken field of the previous request.

Response Fields

orders
array
Array containing Orders that match the specified filters.
nextPageToken
string
The token to be used in the query parameter to retrieve the next page of results. If there are no more results, this field won’t be returned.

Order object fields

orderId
string
The unique identifier of the order within e-CROSS. Use this in subsequent API calls.
merchantId
string
The unique identifier of the merchant in the e-CROSS platform.
salesChannelOrderId
string
The order identifier in the sales channel.
salesChannel
string
The sales channel where the order was placed. Refer to the Sales Channels page for the list of available sales channels.
status
string
The current status of the order. Refer to the Order Statuses page for the list of available order statuses.
value
number
The total value of the order.
taxType
string
DDP if taxes are already included in prices. DDU if prices do not have taxes.
currency
string
The currency used by the buyer to place the order.
foreignCurrency
string
The currency used by the merchant to price the products, a.k.a. “merchant foreign currency”.
customerDocument
string
The document of the customer who placed the order.
creationDate
string
The date when the order was created.
approvalDate
string
The date when the order was approved. If the order is not approved, this field won’t be returned.
cancelDate
string
The date when the order was canceled. If the order is not canceled, this field won’t be returned.
startHandlingDate
string
The date when the order started to be handled. If the order is not being handled, this field won’t be returned.
onHoldDate
string
The date when the order was put on hold. If the order is not on hold, this field won’t be returned.
packedDate
string
The date when the order was packed. If the order is not packed, this field won’t be returned.
invoicedDate
string
The date when the order was invoiced. If the order is not invoiced, this field won’t be returned.
shipmentDate
string
The date when the order was shipped. If the order is not shipped, this field won’t be returned.
deliveredDate
string
The date when the order was delivered. If the order is not delivered, this field won’t be returned.
lastUpdateDate
string
The date when the order was last updated. Every time a status changes, this field is updated.
totals
object
Order amounts summary in the buyer’s local currency.
totalsForeignCurrency
object
Order amounts summary in the merchant currency. Same structure as totals but in the merchant’s foreign currency.
items
array
Array with one line for each order item.
customer
object
Information about the customer who placed the order.
shipping
object
Shipping information including delivery address and deliveries (packages).
payments
array
Array of payments made for the order.